com.threerings.puzzle.client

## Class PuzzleAnimationWaiter

- java.lang.Object
- - com.threerings.media.animation.AnimationWaiter
  - - com.threerings.puzzle.client.PuzzleAnimationWaiter

All Implemented Interfaces:
  com.threerings.media.animation.AnimationObserver

    public abstract class PuzzleAnimationWaiter
    extends com.threerings.media.animation.AnimationWaiter

An animation waiter to be used with puzzles that want to modify the game object or board in some way after the animations end, and would like to do so in a safe fashion such that their changes aren't unwittingly performed on game data for a subsequent round of the puzzle.

### Constructor Summary

Constructors
Constructor and Description
`PuzzleAnimationWaiter(PuzzleObject puzobj)` Constructs a puzzle animation waiter.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `puzzleStillValid()` Returns whether the puzzle associated with this puzzle animation waiter is still valid.

### Methods inherited from class com.threerings.media.animation.AnimationWaiter

`addAnimation, addAnimations, animationCompleted, animationStarted`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PuzzleAnimationWaiter

    public PuzzleAnimationWaiter(PuzzleObject puzobj)

Constructs a puzzle animation waiter.

### Method Detail

#### puzzleStillValid

    public boolean puzzleStillValid()

Returns whether the puzzle associated with this puzzle animation waiter is still valid.